@import '../../assets/styles/common';

.user-profile {
  display: flex;
  flex-direction: column;
  background: $app-bg-primary;
}

.profile {
  &__info {
    display: flex;
    padding-top: 5rem;
    padding-bottom: 5rem;
    padding-left: 7.5rem;
    background-color: $blue;
  }

  &__buttons {
    display: flex;
    align-self: center;
    width: 100%;
    margin-right: 5rem;
  }

  &__report {
    padding: 0.5rem;
    font-size: 1.1rem;
    text-transform: capitalize;

    &-button {
      display: flex;
      flex-direction: row;
      margin-left: 1rem;
      border-radius: 4px;
      background: $report-button-red 0% 0% no-repeat padding-box;
      cursor: pointer;
    }

    &-image {
      height: 1.4rem;
      padding: 0.5rem;
      border-radius: 4px 0 0 4px;
      background-color: $white-20opacity;
    }
  }

  &__button {
    height: 8rem;
    margin-right: 1.6rem;
    margin-left: 1.6rem;
    cursor: pointer;

    &-container {
      position: relative;
    }

    &-twitch {
      @extend .profile__button;

      margin-left: .8rem;
    }

    &-facebook {
      @extend .profile__button;

      margin-right: .8rem;
    }

    &-youtube {
      @extend .profile__button;

      margin-left: .8rem;
    }

    &-live {
      position: absolute;
      bottom: 0%;
      left:0%;
      height: 40%;
    }
  }

  &__user-data {
    display: flex;
    flex-direction: column;
    justify-content: center;
    margin-left: .8rem;
  }

  &__user-name {
    white-space: nowrap;
  }

  &__user-type {
    color: $gray-light;
  }

  &__user-socials {
    display: flex;
    justify-content: flex-end;
    align-items: center;
    margin-left: 2rem;
  }

  &__avatar {
    margin: auto 0;
  }

  @media only screen and (max-width: 1400px) {
    &__report-image {
      height: 1.1rem;
    }
  }

  @media only screen and (max-width: 650px) {
    &__info {
      flex-direction: column;
      align-items: center;
    }

    &__user-socials {
      margin-left: 0;
    }

    &__buttons {
      justify-content: center;
      margin-right: 0;
    }
  }
}
